Retrieve Order By Id
curl --request GET \
--url https://api.example.com/{version}/orders/retrieve/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/{version}/orders/retrieve/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/{version}/orders/retrieve/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{version}/orders/retrieve/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 123,
"order_number": "<string>",
"counterparty_id": 123,
"currency": "<string>",
"total_amount": 123,
"note": "<string>",
"status": "<string>",
"fee_bearer": "<string>",
"as_payment_link": true,
"owner_id": 123,
"owner_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reference_id": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"order_items": [
{
"id": 123,
"name": "<string>",
"currency": "<string>",
"qty": 123,
"amount": 1.01,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"counterparty": {
"id": 123,
"owner_party_type": "<string>",
"owner_party_id": 123,
"relationship_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"party": {
"id": 123,
"fullname": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"phone": "<string>",
"country_code": "<string>"
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}orders
Retrieve Order By Id
GET
/
{version}
/
orders
/
retrieve
/
{id}
Retrieve Order By Id
Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
OrderDetailResponse
Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
Required string length:
3Amount
Show child attributes
Show child attributes
CounterPartyWithPartyResponse
Show child attributes
Show child attributes
Last modified on June 23, 2026
Was this page helpful?
